Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#26 Le 05/06/2018, à 08:05

bruno

Re : problème instalation de xampp

Ce n'est pas impossible, cela demande du travail et un peu de lecture : https://secure.php.net/manual/fr/migrat … atible.php. AMHA il est préférable de passer du temps à faire évoluer ton code plutôt que d'accumuler de la dette technique. Mais tu fais comme tu veux…

Les paquets php-mysql et php-mcrypt existent bien et peuvent être installés. Je ne comprends pas ton histoire d'incompatibilité. PHP 7 gère parfaitement les interactions avec les bases de données MySQL. À moins que tu ne parles de la suppression des fonctions mysql (qui étaient déjà déconseillées en PHP 5) au profit de mysqli et PDO Mysql…

Je pense que l'on a déjà dit que tu ne peux pas installer PHP5 sur une Ubuntu 16.04 ou plus récente. Tout du moins pas simplement avec les paquets officiels.
Faire cohabiter plusieurs versions de PHP sur un me serveur est une opération complexe et délicate. Cela nécessiterait la compilation manuelle de PHP 5, l'utilisation de conteneur de type docker ou l'utilisation de dépôts exotiques qui risquent de rendre le système ingérable.

Hors ligne

#27 Le 05/06/2018, à 11:41

krodelabestiole

Re : problème instalation de xampp

bruno a écrit :

Les paquets php-mysql et php-mcrypt existent bien et peuvent être installés.

mcrypt n'existe plus sur php 7.2 (bionic)

à mon avis la solution s'appelle docker : https://doc.ubuntu-fr.org/docker_lamp

Hors ligne

#28 Le 05/06/2018, à 12:55

bruno

Re : problème instalation de xampp

Ah oui exact : https://wiki.php.net/rfc/mcrypt-viking-funeral et c'est plutôt une bonne chose.

Hors ligne

#29 Le 05/06/2018, à 14:05

krodelabestiole

Re : problème instalation de xampp

krodelabestiole a écrit :

à mon avis la solution s'appelle docker : https://doc.ubuntu-fr.org/docker_lamp

par contre avant de suivre ce tuto, vire ou au moins désactive apache et mysql sur ton système :

sudo systemctl stop apache2 mysql
sudo systemctl disable apache2 mysql

Hors ligne

#30 Le 16/06/2018, à 23:40

krodelabestiole

Re : problème instalation de xampp

[HS]

bruno a écrit :

Si tu as un exemple cela m’intéresse.

j'ai reproduit le problème !

sur Xenial j'ai mariadb installé

sudo apt autoremove --purge mariadb* mysql*

et

sudo apt autoremove --purge mariadb\* mysql\*

ne me retournent pas la même chose !
je colle l'intégralité des retours (désolé ça prend de la place) :

kro@xubuntu-vmware:~$ sudo apt autoremove --purge mariadb* mysql*
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Note, selecting 'mariadb-test' for glob 'mariadb*'
Note, selecting 'mariadb-test-data-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-test-data' for glob 'mariadb*'
Note, selecting 'mariadb-test-5.5' for glob 'mariadb*'
Note, selecting 'mariadb-common' for glob 'mariadb*'
Note, selecting 'mariadb-plugin-connect' for glob 'mariadb*'
Note, selecting 'mariadb-server-core-5.5' for glob 'mariadb*'
Note, selecting 'mariadb-server-5.5' for glob 'mariadb*'
Note, selecting 'mariadb-tokudb-engine-5.5' for glob 'mariadb*'
Note, selecting 'mariadb-server-core-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-connect-engine-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-galera-server' for glob 'mariadb*'
Note, selecting 'mariadb-client-5.5' for glob 'mariadb*'
Note, selecting 'mariadb-server-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-plugin-oqgraph' for glob 'mariadb*'
Note, selecting 'mariadb-plugin-spider' for glob 'mariadb*'
Note, selecting 'mariadb-galera-server-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-plugin-tokudb' for glob 'mariadb*'
Note, selecting 'mariadb-client-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-server' for glob 'mariadb*'
Note, selecting 'mariadb-tokudb-engine-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-client-core-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-client' for glob 'mariadb*'
Note, selecting 'mariadb-test-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-oqgraph-engine-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-galera-server-5.5' for glob 'mariadb*'
Note, selecting 'mariadb-client-core-5.5' for glob 'mariadb*'
Note, selecting 'mariadb-plugin-mroonga' for glob 'mariadb*'
Le paquet « mariadb-server-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-client-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-client-core-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-galera-server-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-connect-engine-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-oqgraph-engine-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-tokudb-engine-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-tokudb-engine-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-galera-server » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-galera-server-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-server-core-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-test-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-test-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-test-data-10.0 » n'est pas installé, et ne peut donc être supprimé
E: Impossible de trouver le paquet mysql

kro@xubuntu-vmware:~$ sudo apt autoremove --purge mariadb\* mysql\*
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Note, selecting 'mariadb-test' for glob 'mariadb*'
Note, selecting 'mariadb-test-data-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-test-data' for glob 'mariadb*'
Note, selecting 'mariadb-test-5.5' for glob 'mariadb*'
Note, selecting 'mariadb-common' for glob 'mariadb*'
Note, selecting 'mariadb-plugin-connect' for glob 'mariadb*'
Note, selecting 'mariadb-server-core-5.5' for glob 'mariadb*'
Note, selecting 'mariadb-server-5.5' for glob 'mariadb*'
Note, selecting 'mariadb-tokudb-engine-5.5' for glob 'mariadb*'
Note, selecting 'mariadb-server-core-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-connect-engine-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-galera-server' for glob 'mariadb*'
Note, selecting 'mariadb-client-5.5' for glob 'mariadb*'
Note, selecting 'mariadb-server-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-plugin-oqgraph' for glob 'mariadb*'
Note, selecting 'mariadb-plugin-spider' for glob 'mariadb*'
Note, selecting 'mariadb-galera-server-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-plugin-tokudb' for glob 'mariadb*'
Note, selecting 'mariadb-client-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-server' for glob 'mariadb*'
Note, selecting 'mariadb-tokudb-engine-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-client-core-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-client' for glob 'mariadb*'
Note, selecting 'mariadb-test-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-oqgraph-engine-10.0' for glob 'mariadb*'
Note, selecting 'mariadb-galera-server-5.5' for glob 'mariadb*'
Note, selecting 'mariadb-client-core-5.5' for glob 'mariadb*'
Note, selecting 'mariadb-plugin-mroonga' for glob 'mariadb*'
Le paquet « mariadb-server-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-client-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-client-core-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-galera-server-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-connect-engine-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-oqgraph-engine-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-tokudb-engine-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-tokudb-engine-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-galera-server » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-galera-server-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-server-core-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-test-10.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-test-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-test-data-10.0 » n'est pas installé, et ne peut donc être supprimé
Note, selecting 'mysqltcl' for glob 'mysql*'
Note, selecting 'mysql-mmm-agent' for glob 'mysql*'
Note, selecting 'mysql-workbench' for glob 'mysql*'
Note, selecting 'mysql-client-5.5' for glob 'mysql*'
Note, selecting 'mysql-client-5.6' for glob 'mysql*'
Note, selecting 'mysql-client-5.7' for glob 'mysql*'
Note, selecting 'mysql-mmm-tools' for glob 'mysql*'
Note, selecting 'mysql-common-5.6' for glob 'mysql*'
Note, selecting 'mysql-server-5.0' for glob 'mysql*'
Note, selecting 'mysql-server-5.1' for glob 'mysql*'
Note, selecting 'mysql-server-5.5' for glob 'mysql*'
Note, selecting 'mysql-server-5.6' for glob 'mysql*'
Note, selecting 'mysql-server-5.7' for glob 'mysql*'
Note, selecting 'mysql-utilities' for glob 'mysql*'
Note, selecting 'mysql-testsuite' for glob 'mysql*'
Note, selecting 'mysql-mmm-common' for glob 'mysql*'
Note, selecting 'mysql-server' for glob 'mysql*'
Note, selecting 'mysql-client' for glob 'mysql*'
Note, selecting 'mysql-sandbox' for glob 'mysql*'
Note, selecting 'mysql-client-core-5.5' for glob 'mysql*'
Note, selecting 'mysql-client-core-5.6' for glob 'mysql*'
Note, selecting 'mysql-client-core-5.7' for glob 'mysql*'
Note, selecting 'mysql-testsuite-5.5' for glob 'mysql*'
Note, selecting 'mysql-testsuite-5.6' for glob 'mysql*'
Note, selecting 'mysql-testsuite-5.7' for glob 'mysql*'
Note, selecting 'mysql-common' for glob 'mysql*'
Note, selecting 'mysql-mmm-monitor' for glob 'mysql*'
Note, selecting 'mysqltuner' for glob 'mysql*'
Note, selecting 'mysql-workbench-data' for glob 'mysql*'
Note, selecting 'mysql-server-core-5.1' for glob 'mysql*'
Note, selecting 'mysql-server-core-5.5' for glob 'mysql*'
Note, selecting 'mysql-server-core-5.6' for glob 'mysql*'
Note, selecting 'mysql-server-core-5.7' for glob 'mysql*'
Note, selecting 'mysql-source-5.7' for glob 'mysql*'
Le paquet « mysql-client-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-client-5.6 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-server-core-5.6 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-client-core-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-client-core-5.6 » n'est pas installé, et ne peut donc être supprimé
Note : sélection de « mysql-common » au lieu de « mysql-common-5.6 »
Le paquet « mysql-server-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-server-5.6 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-server-core-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-testsuite-5.5 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-testsuite-5.6 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-server-5.0 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-server-5.1 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-server-core-5.1 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-mmm-agent » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-mmm-common » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-mmm-monitor » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-mmm-tools » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-sandbox » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-utilities » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-workbench » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-workbench-data » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysqltcl » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysqltuner » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-client » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-client-5.7 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-client-core-5.7 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-server » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-server-5.7 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-server-core-5.7 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-client » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-plugin-connect » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-plugin-mroonga » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-plugin-oqgraph » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-plugin-spider » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-plugin-tokudb » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-test » n'est pas installé, et ne peut donc être supprimé
Le paquet « mariadb-test-data » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-source-5.7 » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-testsuite » n'est pas installé, et ne peut donc être supprimé
Le paquet « mysql-testsuite-5.7 » n'est pas installé, et ne peut donc être supprimé
Les paquets suivants seront ENLEVÉS :
  amarok* amarok-common* amarok-utils* fonts-roboto* fonts-roboto-hinted* kdemultimedia-kio-plugins* kio-audiocd* kodi* kodi-bin* kodi-data* libaio1* libcec-platform1v5* libcec3* libdbd-mysql-perl* libdbi-perl* libfstrcmp0*
  libhdhomerun2* libjs-iscroll* libkcddb4* libkcompactdisc4* libloudmouth1-0* libmicrohttpd10* libmusicbrainz5cc2v5* libmygpo-qt1* libmysqlclient20* libnfs8* libqt4-sql-mysql* libqt5sql5-mysql* libqtscript4-core*
  libqtscript4-gui* libqtscript4-network* libqtscript4-sql* libqtscript4-uitools* libqtscript4-xml* libreadline5* libtag-extras1* libterm-readkey-perl* libtinyxml2.6.2v5* libva-x11-1* mariadb-client-10.0*
  mariadb-client-core-10.0* mariadb-common* mariadb-server* mariadb-server-10.0* mariadb-server-core-10.0* mysql-common*
0 mis à jour, 0 nouvellement installés, 46 à enlever et 0 non mis à jour.
Après cette opération, 281 Mo d'espace disque seront libérés.
Souhaitez-vous continuer ? [O/n] n
Annulation.

Mais en gros la première commande ne me vire pas MariaDB... (elle ne vire rien)

et ceci dit la seconde commande veut me virer amarok et kodi, c'est un peu violent.
amarok a par ex. une dépendance mysql-common à travers libmysqlclient20

bref il faudrait quand même faire gaffe avec ces commandes je les remplace sur la page lamp par

sudo apt autoremove --purge mysql-server\* mariadb-server\*

[/HS]

Hors ligne

#31 Le 17/06/2018, à 08:07

bruno

Re : problème instalation de xampp

Très curieux… Je n'ai pas cette différence de comportement.

Le retour semble différent en fonction de la prise en compte ou non d'une chaîne vide (null string) dans la correspondance avec le motif (* ou \*).
Je suppose que cela vient du shell utilisé et des options d'expansion car les deux commandes utilisent glob. Il faudrait voir ces options avec shopt

Effectivement ce genre de commande est risquée sur une machine de bureau ou amarok ou akonadi sont installés car ils utilisent mysql ou mariadb pour gérer leurs bases de données.

Hors ligne

#32 Le 17/06/2018, à 13:56

krodelabestiole

Re : problème instalation de xampp

bruno a écrit :

Très curieux… Je n'ai pas cette différence de comportement.

Le retour semble différent en fonction de la prise en compte ou non d'une chaîne vide (null string) dans la correspondance avec le motif (* ou \*).
Je suppose que cela vient du shell utilisé et des options d'expansion car les deux commandes utilisent glob. Il faudrait voir ces options avec shopt

oui... plus simplement (désolé j'aurais pu simplifier hier mais je faisais 18 trucs en même temps je suis allé au plus rapide) :

kro@xubuntu-vmware:~$ apt list mysql*
En train de lister... Fait

mysql* ne retourne rien sur ce xubuntu Xenial (contrairement à mysql\* qui fait son taf)
par contre sur un autre xenial en WSL, j'ai pas de problème non plus...

le retour de shopt :

kro@xubuntu-vmware:~$ shopt
autocd         	off
cdable_vars    	off
cdspell        	off
checkhash      	off
checkjobs      	off
checkwinsize   	on
cmdhist        	on
compat31       	off
compat32       	off
compat40       	off
compat41       	off
compat42       	off
complete_fullquote	on
direxpand      	off
dirspell       	off
dotglob        	off
execfail       	off
expand_aliases 	on
extdebug       	off
extglob        	on
extquote       	on
failglob       	off
force_fignore  	on
globstar       	off
globasciiranges	off
gnu_errfmt     	off
histappend     	on
histreedit     	off
histverify     	off
hostcomplete   	off
huponexit      	off
interactive_comments	on
lastpipe       	off
lithist        	off
login_shell    	off
mailwarn       	off
no_empty_cmd_completion	off
nocaseglob     	off
nocasematch    	off
nullglob       	off
progcomp       	on
promptvars     	on
restricted_shell	off
shift_verbose  	off
sourcepath     	on
xpg_echo       	off

la seule différence que j'observe c'est login_shell qui est sur on sur WSL.

j'utilise bash (même version) dans les deux cas :

kro@xubuntu-vmware:~$ bash --version
GNU bash, version 4.3.48(1)-release (x86_64-pc-linux-gnu)

Dernière modification par krodelabestiole (Le 17/06/2018, à 14:02)

Hors ligne

#33 Le 17/06/2018, à 14:10

krodelabestiole

Re : problème instalation de xampp

j'ai trouvé : j'ai un répertoire mysql dans mon home (d'où je lance ma commande)
en renommant ce répertoire, ou en lançant la même commande depuis un autre répertoire, mysql* fonctionne correctement.
le problème se pose tant que j'ai un répertoire dont le nom commence par mysql sous la main.

je pense que bash essaie de résoudre * avec le système de fichier avant de passer le caractère * à l'application appelée, d'où l'intérêt de l'échapper avec \

Dernière modification par krodelabestiole (Le 17/06/2018, à 14:12)

Hors ligne

#34 Le 17/06/2018, à 15:19

bruno

Re : problème instalation de xampp

Ok je comprends et 'aurais du y penser.

Pour ceux que cela intéresserait, voici l'explication.
Ce que l'on appelle l'expansion de bash (bash expansion) se produit avant que la commande ne soit exécutée. Si un dossier mysql existe dans le répertoire courant, la commande se transforme en :

apt list mysql/

qui ne renvoie rien.

Le fait d'échapper le caractère joker évite cela. Cela équivaut à bloquer l'expansion des noms de fichiers (set -f ou set -o noglob).

Dernière modification par bruno (Le 17/06/2018, à 15:26)

Hors ligne